Page MenuHomeFreeBSD

Expand ktr_mask to be a 64-bit unsigned integer.
ClosedPublic

Authored by jhb on May 19 2015, 9:23 PM.

Details

Summary

Expand ktr_mask to be a 64-bit unsigned integer.

The mask does not really need to be updated with atomic operations and
the downside of losing races during transitions is not great (it is
not marked volatile, so those races are pretty wide open as it is).

Test Plan
  • Tested some ktr tracing (albeit still using a 32-bit mask) and it still worked fine.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jhb updated this revision to Diff 5502.May 19 2015, 9:23 PM
jhb retitled this revision from to Expand ktr_mask to be a 64-bit unsigned integer..
jhb updated this object.
jhb edited the test plan for this revision. (Show Details)
neel accepted this revision.May 19 2015, 9:42 PM
neel added a reviewer: neel.
This revision is now accepted and ready to land.May 19 2015, 9:42 PM
op added a subscriber: op.May 19 2015, 10:15 PM
op added a comment.May 19 2015, 10:23 PM

I like this change, but I missing one small thing: the conversion of KTR_foo classes from 32 bit defines to 64 bit defines in sys/ktr_class.h

op added a comment.May 19 2015, 10:25 PM
This comment was removed by op.
rpaulo accepted this revision.May 20 2015, 6:25 AM
rpaulo added a reviewer: rpaulo.
emaste accepted this revision.May 20 2015, 5:29 PM
emaste added a reviewer: emaste.
jhb added a comment.May 22 2015, 11:07 AM

Strictly speaking I don't think we need to convert the KTR class macros just yet. Also, we don't need to bump KTR_VERSION since the layout of the logged records hasn't changed.

This revision was automatically updated to reflect the committed changes.